begin;
alter table allstarfull rename to "allstarstartingpos";

-- fix game numbers for 1962 all-star games
update allstarstartingpos
set gamenum = 1
where gameid = 'ALS196207100';

update allstarstartingpos
set gamenum = 2
where gameid = 'NLS196207300';

-- rocky colavito was a reserve, not starter
delete from allstarstartingpos
where gameid = 'ALS196207100' and playerid = 'colavro01';

alter table allstarstartingpos drop column "gameID";
alter table allstarstartingpos drop column "teamid";
alter table allstarstartingpos drop column "gp";

update allstarstartingpos
set startingpos = null
where startingpos = '';

delete from allstarstartingpos
where startingpos is null;
commit;
