begin;
attach database 'baseball-raw.db' as 'raw';

create table if not exists "playerstints" (
	"player"	text,
	"year"	numeric,
	"stint"	numeric,
	"team"	text
);

insert into playerstints
select distinct playerid, yearid, stint, teamid
from "raw".batting
union
select distinct playerid, yearid, stint, teamid
from "raw".pitching
union
select distinct playerid, yearid, stint, teamid
from "raw".fielding;

update playerstints
set team = 'WS9'
where team = 'WAS' and year between 1891 and 1899;

update playerstints
set team = 'PHP'
where team = 'PH4' and year between 1890 and 1891;
commit;
